com.tibbo.aggregate.common.action

## Class ProtocolHandler

- java.lang.Object
- - com.tibbo.aggregate.common.action.ProtocolHandler

-     public abstract class ProtocolHandler
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FIELD_ACTION_RESPONSE_PARAMETERS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtocolHandler()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GenericActionCommand` | `actionCommandFromDataTable(DataTable table)`
    `static DataTable` | `actionCommandToDataTable(GenericActionCommand cmd)`
    `static ActionIdentifier` | `actionIdFromDataTable(DataTable table)`
    `static DataTable` | `actionIdToDataTable(ActionIdentifier id)`
    `static GenericActionResponse` | `actionResponseFromDataTable(DataTable table)`
    `static DataTable` | `actionResponseToDataTable(GenericActionResponse response)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIELD_ACTION_RESPONSE_PARAMETERS

          public static final java.lang.String FIELD_ACTION_RESPONSE_PARAMETERS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ProtocolHandler

          public ProtocolHandler()

  - ### Method Detail

    - #### actionIdToDataTable

          public static DataTable actionIdToDataTable(ActionIdentifier id)

    - #### actionIdFromDataTable

          public static ActionIdentifier actionIdFromDataTable(DataTable table)

    - #### actionCommandToDataTable

          public static DataTable actionCommandToDataTable(GenericActionCommand cmd)

    - #### actionCommandFromDataTable

          public static GenericActionCommand actionCommandFromDataTable(DataTable table)

    - #### actionResponseToDataTable

          public static DataTable actionResponseToDataTable(GenericActionResponse response)

    - #### actionResponseFromDataTable

          public static GenericActionResponse actionResponseFromDataTable(DataTable table)